
import 'dart:ui';

import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:nan_scan/nan_scan.dart';
import 'package:nan_scan/nan_scan_channel.dart';
import 'package:nan_scan/nan_scan_page.dart';
import 'package:nan_scan/nan_scan_widget.dart';
import 'package:toast/toast.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';
  

  @override
  void initState() {
    super.initState();
    // initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    // We also handle the message potentially returning null.
    try {
      platformVersion =
          await NanScan.platformVersion ?? 'Unknown platform version';
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        // appBar: AppBar(
        //   title: const Text('Plugin example app'),
        // ),
        // body: Column(
        //   crossAxisAlignment: CrossAxisAlignment.center,
        //   children: [
        //     SizedBox(height: 10,),
        //     GestureDetector(
        //       child: Container(
        //         width: MediaQueryData.fromWindow(window).size.width,
        //         height: 40,
        //         padding: EdgeInsets.only(
        //           left: 10
        //         ),
        //         alignment: Alignment.centerLeft,
        //         color: Colors.redAccent,
        //         child: Text("扫码",textAlign: TextAlign.left,),
        //       ),
        //       onTap: (){
        //         Navigator.push(context, new MaterialPageRoute(builder: (context) => new NanScanPage()));
        //       },
        //     )
        //   ],
        // ),
        body: NanScanPage(),
      ),
    );
  }

  
}