//
//  NanScanFlutterFactory.m
//  nan_scan
//
//  Created by 周泽南 on 2021/8/16.
//

#import "NanScanFlutterFactory.h"
#import "NanScanView.h"

@implementation NanScanFlutterFactory{
    NSObject<FlutterPluginRegistrar>*_registrar;
}

-(instancetype)initWithRegistrar:(NSObject<FlutterPluginRegistrar> *)registrar{
    if (self = [super init]) {
        _registrar = registrar;
    }
    return self;
}

-(NSObject<FlutterMessageCodec> *)createArgsCodec{
    return [FlutterStandardMessageCodec sharedInstance];
}

- (nonnull NSObject<FlutterPlatformView> *)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id _Nullable)args {
    NanScanView *scanView = [[NanScanView alloc]initWithFrame:frame viewIdentifier:viewId arguments:args registrar:_registrar];
    return scanView;
}

@end
