import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:nan_scan/my_scan_view.dart';
import 'package:nan_scan/nan_scan_channel.dart';
import 'package:nan_scan/nan_scan_widget.dart';
//这是项目中默认的一个页面
class NanScanPage extends StatefulWidget{

  final Function onResult;
  final String package;
  final String line;
  final String back;
  NanScanPage({
    Key key,
    this.onResult,
    this.package='nan_scan',//如果想使用项目中的图片，要把package设置成 null
    this.line ="home_scan_line",
    this.back ="take_pic_back"
  }):super(key: key);

  @override
  _NanScanPageState createState() => _NanScanPageState();
}
class _NanScanPageState extends State<NanScanPage>{

  @override
  void initState() {
    super.initState();
    
  }

  @override
  void dispose() {
    super.dispose();
    
  }

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      body: Stack(
        children: [
          NanScanWidget(onResult: (String result){
            if (widget.onResult != null) {
              widget.onResult(result);
            }
            Navigator.pop(context);
          }),
          MyScanView(package: widget.package,line: widget.line,),
          openWidget()
        ],
      ),
    );
  }

  Widget openWidget(){
    return Stack(
      children: [
        Positioned(
          bottom: MediaQueryData.fromWindow(window).padding.bottom+20,
          right: (MediaQueryData.fromWindow(window).size.width-60)/2,
          child: GestureDetector(
            child: Container(
              width: 60,
              height: 60,
              alignment: Alignment.center,
              decoration: BoxDecoration(
                color: Color.fromRGBO(245,245,245,0.5),
                borderRadius: BorderRadius.all(Radius.circular(30))
              ),
              child: Icon(Icons.flashlight_on,color: Colors.white)
            ),
            onTap: (){
              NanScanMethod.toggleTorchMode();
            },
          )
        ),
        Positioned(
          top: MediaQueryData.fromWindow(window).padding.top,
          left: 20,
          child: ScanUtil.loadAssetImage(widget.back,package: widget.package,width: 30,height: 30,onTap: (){
            Navigator.pop(context);
          },)
        ),
      ],
    );
  }
}